Page MenuHomePhabricator

[epic] WikiCite documentation and community engagement
Closed, ResolvedPublic

Description

About

WikiCite is an initiative by the Wikimedia Foundation and Wikimedia Germany aiming to bring together a community of volunteer contributors, librarians, software developers and researchers to build a central repository of sources, leveraging Wikidata, as well as tools and strategies to improve information quality and verifiability in Wikimedia projects.

In preparation for the WikiCite 2017 event, the organizing committee is starting work towards redesigning and streamlining the structure of documentation on sources in Wikidata and promote participation by existing and prospective community members.

Tasks

This is the parent task, subtasks are listed below and linked to respective tasks.

  • Organize WikiCite prep work and get set up on phabricator
    • create WikiCite tag and workboard
    • create a coordination task (this task)
  • Prepare a list of publication types in need of a well-defined data model in Wikidata (subtask: T165304)
    • identify existing proposals and discussions for each publication type (for example, scholarly papers have been extensively discussed here, books are discussed and modeled here).
    • Identify and list publication types that are completely missing from Wikidata and should be created from scratch.
  • Draft a standardized template to enable the discussion and documentation of the data model of each publication type (subtask T165318)
  • Improve the structure of Template:Bibliographical_properties
  • Build the structure of a comparison table to facilitate the mapping of Wikidata bibliographic properties to existing source and citation templates across other Wikimedia projects (e.g. Wikipedia {{cite}} templates) as well as canonical bibliographic data models used in the librarian and scholarly metadata community. (subtask T165558)
  • design an umbrella portal (e.g.: Wikiproject Sources or repurpose Wikidata:Sources), currently a redirect) to make existing WikiProjects focused on bibliographic metadata (WikiProject Books, WikiProject Periodicals, WikiProject Source Metadata) more easily discoverable and structured in a similar way. This could be drafted in the user namespace to make sure there can be a community discussion before we move it to the project namespace. (subtask T165656 T165673)
  • seed the discussion on the above data modeling efforts, by engaging relevant community members to contribute in fleshing out missing data models, and expanding existing ones.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 9 2017, 10:56 PM
DarTar mentioned this in Unknown Object (Task).May 9 2017, 10:57 PM
DarTar updated the task description. (Show Details)May 9 2017, 11:28 PM

Recap: we had a coordination meeting with @Lydia_Pintscher @Nikkimaria @Ocaasi_WMF @Tarrow @Charles_Matthews on May 3 to discuss how to prepare for the WikiCite event kicking off on May 23. The next step we discussed was the creation of a breakdown of tasks towards building better documentation / discussion on bibliographic data models in Wikidata.

I shared the above proposal and breakdown with the list and we'll take it from here to see if the above subtasks are scoped well enough to start work.

Tarrow updated the task description. (Show Details)May 15 2017, 10:30 AM

I think the above tasks are still proving a little nebulous for work to start. I'm making separate subtasks and adding slightly more granular breakdowns for work that can be done for them.

Thanks @Tarrow, the scope of the 2 subtasks you created is spot-on.

I have drafted in my Wikidata sandbox a prototype navbox "Wikidata properties related to academic journal article (Q18918145)". This is obviously for discussion. The main feature is an explicit triage of relevant properties.

The content can and should be debated. To manage discussion on a relevant Talk page, Tom suggested a template form to make for standard proposals for content changes in the navbox. I have put up a minimal thing at https://www.wikidata.org/wiki/Template:Property_debate that could work over the whole range of boxes created under this task. An example of the filled-in template is on my sandbox page, between the horizontal rules.

@Charles_Matthews wonderful, do you want to share this on the wikicite-discuss mailing list?

BTW this task is very aligned in scope to T159215, hopefully we can find people at the Hackathon to join this effort.

@DarTar I can go on that list, I guess.

@DarTar I'll report to the list when I'm approved.

@DarTar I'll report to the list when I'm approved.

{{done}}

Mvolz added a subscriber: Mvolz.May 18 2017, 4:04 PM

@Aklapper The actual problem was this: I created T165656 independently of T164889, when it should have been a subtask. I'm new here.

DarTar moved this task from Backlog to In progress on the WikiCite board.May 19 2017, 3:38 PM
Tpt added a subscriber: Tpt.May 24 2017, 9:03 AM
DarTar closed this task as Resolved.May 2 2018, 10:02 PM
DarTar edited projects, added Research-Archive; removed Research.
DarTar moved this task from Default to Q3-FY18 on the Research-Archive board.May 2 2018, 11:19 PM